GNU logs - #9766, boring messages


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#9766: 24.0.50; rmail-forward makes attachment that doesn't read right
Resent-From: Richard Stallman <rms@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 16 Oct 2011 11:21:01 +0000
Resent-Message-ID: <handler.9766.B.13187640063784 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 9766
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 9766 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-gnu-emacs@HIDDEN
Reply-To: rms@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.13187640063784
          (code B ref -1); Sun, 16 Oct 2011 11:21:01 +0000
Received: (at submit) by debbugs.gnu.org; 16 Oct 2011 11:20:06 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RFOlA-0000yy-Tv
	for submit <at> debbugs.gnu.org; Sun, 16 Oct 2011 07:20:05 -0400
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rms@HIDDEN>) id 1RFOl6-0000yN-ID
	for submit <at> debbugs.gnu.org; Sun, 16 Oct 2011 07:20:03 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <rms@HIDDEN>) id 1RFOkH-0000KI-33
	for submit <at> debbugs.gnu.org; Sun, 16 Oct 2011 07:19:10 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-3.4 required=5.0 tests=ALL_TRUSTED,BAYES_00,
	RP_MATCHES_RCVD autolearn=unavailable version=3.3.1
Received: from lists.gnu.org ([140.186.70.17]:53440)
	by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
	id 1RFOkH-0000KE-1V
	for submit <at> debbugs.gnu.org; Sun, 16 Oct 2011 07:19:09 -0400
Received: from eggs.gnu.org ([140.186.70.92]:56686)
	by lists.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
	id 1RFOkF-0008GX-ET
	for bug-gnu-emacs@HIDDEN; Sun, 16 Oct 2011 07:19:08 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <rms@HIDDEN>) id 1RFOkD-0000K4-T5
	for bug-gnu-emacs@HIDDEN; Sun, 16 Oct 2011 07:19:07 -0400
Received: from fencepost.gnu.org ([140.186.70.10]:38405)
	by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
	id 1RFOkD-0000K0-Py
	for bug-gnu-emacs@HIDDEN; Sun, 16 Oct 2011 07:19:05 -0400
Received: from rms by fencepost.gnu.org with local (Exim 4.71)
	(envelope-from <rms@HIDDEN>) id 1RFOkD-00008X-0P
	for bug-gnu-emacs@HIDDEN; Sun, 16 Oct 2011 07:19:05 -0400
Date: Sun, 16 Oct 2011 07:19:05 -0400
Message-Id: <E1RFOkD-00008X-0P@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15
From: Richard Stallman <rms@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 140.186.70.17
X-Spam-Score: -6.6 (------)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.6 (------)

This bug report will be sent to the Bug-GNU-Emacs mailing list
and the GNU bug tracker at debbugs.gnu.org.  Please check that
the From: line contains a valid email address.  After a delay of up
to one day, you should receive an acknowledgement at that address.

Please write in English if possible, as the Emacs maintainers
usually do not have translators for other languages.

Please describe exactly what actions triggered the bug, and
the precise symptoms of the bug.  If you can, give a recipe
starting from `emacs -Q':

When I use the f command in Rmail, it generates a message like this:

======================================================================
From: Richard Stallman <rms@HIDDEN>
To: rms
Subject: [muthu@HIDDEN: Re: Who are the organizers of this event]
bcc: rms-outgoing@HIDDEN
Reply-to: rms@HIDDEN
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
--text follows this line--
--=-=-=
Content-Type: message/rfc822
Content-Disposition: inline
Content-Transfer-Encoding: 8bit

X-Spam-Status: No, score=-0.7 required=5.0 tests=BAYES_20,RCVD_IN_DNSWL_LOW
	autolearn=ham version=3.3.1
Message-ID: <MTAwMDAxMi5tdXRodQ.1318317081@quikprotect>
In-Reply-To: <E1RCyk0-0007Qh-EF@HIDDEN>
Date: Tue, 11 Oct 2011 12:41:21 +0530 (IST)
Subject: Re: Who are the organizers of this event
From: "Muthu" <muthu@HIDDEN>
To: rms@HIDDEN
Content-Type: text/plain;charset=iso-8859-1

> Can you send me the email addresses of the organizers?
>
hackmed-info@HIDDEN



--=-=-=
Content-Type: text/plain



-- 
Dr Richard Stallman

--=-=-=--
======================================================================

I have a friend who reads mail using IceDove 2.0.0.24, and these mime
parts appear empty.

Is there anything wrong with these mime parts?
Or is it a bug in that version of IceDove?


If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
For information about debugging Emacs, please read the file
/home/rms/emacs-bzr/trunk/etc/DEBUG.


In GNU Emacs 24.0.50.6 (mips64el-unknown-linux-gnu, GTK+ Version 2.12.12)
 of 2011-10-14 on theobromine2
configured using `configure  'CFLAGS=-g -O1''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Mail

Minor modes in effect:
  shell-dirtrack-mode: t
  gpm-mouse-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Recent input:
p p p n p p p p C-x b o u t g TAB RET g C-x b C-g C-x 
b C-g C-x d ESC DEL e m a c s - s r c / ESC DEL DEL 
- b z r / t r u n k / l i s p / m a i l RET C-s s e 
n d m a i l C-n C-n C-n C-n C-n C-n C-u C-p C-p C-p 
e C-v C-s p a r t C-n C-n C-s C-s C-s C-s C-a ESC v 
ESC < C-s m i m e C-n C-n C-n C-n C-n C-n C-n C-n C-n 
C-n C-s C-s C-n C-n C-s C-s C-v C-s C-s ESC < C-s m 
a i l - e n c o d e - m m l C-s C-n C-s C-s C-s C-s 
C-a C-x C-f r m a i l / DEL . e l RET C-s C-s C-s C-s 
C-a C-u C-v C-u C-v ESC < C-s # p a r t C-s C-s C-a 
ESC < C-s p a r t C-s C-s C-s C-s C-s C-s C-s DEL C-s 
C-s C-s C-s C-s C-s C-g C-g C-u C-@ C-u C-@ C-u C-@ 
C-u C-v C-u C-v C-u C-u C-p C-u C-n C-n C-n C-n C-e 
C-n C-e C-h f C-g C-h v RET C-x o C-n C-n C-e C-p TAB 
C-u C-p C-p C-p C-p C-p TAB RET C-x 1 ESC f ESC f C-h 
v RET C-x o C-n C-n C-e C-h f RET C-n TAB RET C-x 1 
ESC f C-f C-@ ESC C-f ESC w C-x 4 m ESC x r e p o r 
t SPC e m a s SPC DEL c s SPC b u g RET

Recent messages:
Mark set
Mark saved where search started [3 times]
Mark set
Mark saved where search started
Mark set
Quit [2 times]
mouse-2, RET: describe this variable
mouse-2, RET: find variable's definition
mouse-2, RET: find function's definition
Mark set

Load-path shadows:
None found.

Features:
(wid-edit descr-text ind-util jka-compr etags cc-mode byte-opt
bytecomp byte-compile cconv macroexp cc-langs cl cc-fonts cc-guess
cc-bytecomp cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars
cc-defs find-func pp help-fns vc-bzr parse-time vc-cvs mule-util
cal-move cal-menu calendar cal-loaddefs ispell tmm electric dired-aux
epa-mail epa derived epg epg-config rmailout shell pcomplete grep
compile comint ring qp quail novice sgml-mode dabbrev multi-isearch
mail-extr newcomment help-mode view shadow mailalias emacsbug rmailmm
message sendmail format-spec rfc822 mml easymenu mml-sec mm-decode
mm-bodies mm-encode mailabbrev gmm-utils mailheader mail-parse rfc2231
rmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils dired
regexp-opt t-mouse time-date battery paren cus-start cus-load tooltip
ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar dnd
fontset image fringe lisp-mode register page menu-bar rfn-eshadow
timer select scroll-bar mouse jit-lock font-lock syntax facemenu
font-core frame cham georgian utf-8-lang misc-lang vietnamese tibetan
thai tai-viet lao korean japanese hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer loaddefs button faces
cus-face files text-properties overlay sha1 md5 base64 format env
code-pages mule custom widget hashtable-print-readable backquote
make-network-process dbusbind dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty emacs)


-- 
Dr Richard Stallman
President, Free Software Foundation
51 Franklin St
Boston MA 02110
USA
www.fsf.org  www.gnu.org
Skype: No way! That's nonfree (freedom-denying) software.
  Use free telephony http://directory.fsf.org/category/tel/




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.427 (Entity 5.427)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: rms@HIDDEN
Subject: bug#9766: Acknowledgement (24.0.50; rmail-forward makes
 attachment that doesn't read right)
Message-ID: <handler.9766.B.13187640063784.ack <at> debbugs.gnu.org>
References: <E1RFOkD-00008X-0P@HIDDEN>
X-Gnu-PR-Message: ack 9766
X-Gnu-PR-Package: emacs
Reply-To: 9766 <at> debbugs.gnu.org
Date: Sun, 16 Oct 2011 11:21:02 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-gnu-emacs@HIDDEN

If you wish to submit further information on this problem, please
send it to 9766 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
9766: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D9766
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#9766: 24.0.50; rmail-forward makes attachment that doesn't read right
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 16 Oct 2011 12:56:02 +0000
Resent-Message-ID: <handler.9766.B9766.131876972314904 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 9766
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: rms@HIDDEN
Cc: 9766 <at> debbugs.gnu.org
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 9766-submit <at> debbugs.gnu.org id=B9766.131876972314904
          (code B ref 9766); Sun, 16 Oct 2011 12:56:02 +0000
Received: (at 9766) by debbugs.gnu.org; 16 Oct 2011 12:55:23 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RFQFP-0003sL-62
	for submit <at> debbugs.gnu.org; Sun, 16 Oct 2011 08:55:23 -0400
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <eliz@HIDDEN>) id 1RFQFL-0003sC-87
	for 9766 <at> debbugs.gnu.org; Sun, 16 Oct 2011 08:55:20 -0400
Received: from eliz by fencepost.gnu.org with local (Exim 4.71)
	(envelope-from <eliz@HIDDEN>)
	id 1RFQET-0004nL-MK; Sun, 16 Oct 2011 08:54:25 -0400
Date: Sun, 16 Oct 2011 08:54:25 -0400
Message-Id: <E1RFQET-0004nL-MK@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <E1RFOkD-00008X-0P@HIDDEN> (message from Richard
	Stallman on Sun, 16 Oct 2011 07:19:05 -0400)
References: <E1RFOkD-00008X-0P@HIDDEN>
X-Spam-Score: -6.6 (------)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.6 (------)

merge 9766 9521
stop

> Date: Sun, 16 Oct 2011 07:19:05 -0400
> From: Richard Stallman <rms@HIDDEN>
> Reply-To: rms@HIDDEN
> 
> When I use the f command in Rmail, it generates a message like this:
> [...]
> I have a friend who reads mail using IceDove 2.0.0.24, and these mime
> parts appear empty.
> 
> Is there anything wrong with these mime parts?
> Or is it a bug in that version of IceDove?

It's a missing feature in rmail-forward, see bug #9521 (now merged
with this one) and a short conversation that started here:

  http://lists.gnu.org/archive/html/bug-gnu-emacs/2011-09/msg00691.html

You can disable the MIME-attachment style of forwarding by setting
rmail-enable-mime-composing to nil, in which case Rmail will generate
an inline plain-text forwarded message, but I don't remember if that
fixes this particular problem.




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 16 Oct 2011 18:37:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 16 14:37:31 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RFVaV-0003Gi-2W
	for submit <at> debbugs.gnu.org; Sun, 16 Oct 2011 14:37:31 -0400
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rgm@HIDDEN>) id 1RFVaS-0003Gb-Tk
	for control <at> debbugs.gnu.org; Sun, 16 Oct 2011 14:37:29 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
	(envelope-from <rgm@HIDDEN>) id 1RFVZh-0003cw-OD
	for control <at> debbugs.gnu.org; Sun, 16 Oct 2011 14:36:41 -0400
Date: Sun, 16 Oct 2011 14:36:41 -0400
Message-Id: <E1RFVZh-0003cw-OD@HIDDEN>
Subject: control message for bug 9766
To: <control <at> debbugs.gnu.org>
X-Mailer: mail (GNU Mailutils 2.1)
From: Glenn Morris <rgm@HIDDEN>
X-Spam-Score: -6.4 (------)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.4 (------)

merge 9521 9766




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#9766: 24.0.50; rmail-forward makes attachment that doesn't read right
Resent-From: Lars Magne Ingebrigtsen <larsi@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 16 Oct 2011 18:45:01 +0000
Resent-Message-ID: <handler.9766.B9766.131879065113342 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 9766
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: rms@HIDDEN
Cc: 9766 <at> debbugs.gnu.org
Received: via spool by 9766-submit <at> debbugs.gnu.org id=B9766.131879065113342
          (code B ref 9766); Sun, 16 Oct 2011 18:45:01 +0000
Received: (at 9766) by debbugs.gnu.org; 16 Oct 2011 18:44:11 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RFVgw-0003T8-T5
	for submit <at> debbugs.gnu.org; Sun, 16 Oct 2011 14:44:11 -0400
Received: from hermes.netfonds.no ([80.91.224.195])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <larsi@HIDDEN>) id 1RFVgu-0003Sx-Ag
	for 9766 <at> debbugs.gnu.org; Sun, 16 Oct 2011 14:44:09 -0400
Received: from cm-84.215.51.58.getinternet.no ([84.215.51.58]
	helo=stories.gnus.org)
	by hermes.netfonds.no with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
	(Exim 4.72) (envelope-from <larsi@HIDDEN>)
	id 1RFVg2-00009n-A7; Sun, 16 Oct 2011 20:43:14 +0200
From: Lars Magne Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <E1RFOkD-00008X-0P@HIDDEN> (Richard Stallman's message
	of "Sun, 16 Oct 2011 07:19:05 -0400")
Date: Sun, 16 Oct 2011 20:43:06 +0200
Message-ID: <m3r52czsjp.fsf@HIDDEN>
References: <E1RFOkD-00008X-0P@HIDDEN>
User-Agent: Gnus/5.110018 (No Gnus v0.18) Emacs/24.0.90 (gnu/linux)
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAG1BMVEUAAACowMcnGheLiXgB
	AQEMBghwWkhMNysDAgPeHnT3AAACZUlEQVQ4jW2TTW+jMBCGR5Wb9EospdeKhNJr5F24Wlk2+MiS
	OOHYQAVXQlrYY1VBy8/uGOeDZHckQPjRO69nxgYA8A4xTwxqqMD3CLgGhCtAmcEUmRkUAfFqJNzj
	85RVhYMoto17zMQ5LhLCuZ9ROaE/5cQyt6ODBQABVNCUsVET2sVOKTCXjo+EGsyNTesx2447IJSJ
	EAhokpmWuXe2LmD6zhrICoFrm6Zs1u6OKgV4pPsME6Nav1VW1GRbDYB0DwKzHLHYaps9PS6ruEmY
	TMdpkVpy31MgYNTe0UpuLDkZQy/8hFZlgRaN/HPfB8MdzQrTelqOoh74XTI2o4Ulo8pwmzP4St+4
	z+hjmkXyMftYHj2GGbZ/sKMTJ27M1JQnUHrKfEb3LH7apPHHUtdhJw62lbHtuEyf2jCzQlQQIOXf
	ZRgv7eliRx3mpGZZVSUqyOfUSzbZ0s6xJTpmhoEed29wm4bxxH71K1zETRuJw1DhBzB4sGM7fB3m
	MqpFLVoMCWADLL4qtzQRqJ1wNUzRAn9BsKjcT/R4Ps0ZAeDf58BrWxEcAKJagRhgveBd+c+Y6KxY
	A/wqdF9ynIs6fQL99coDHBT6lKl9XczjGbrzqtaba+CdFKse+IHm+uz9k4p4h8ovgP8COo1uyTkG
	ORYn2g5dmA9e+4r3voLoXV17YHf5XR9w8I5ANVccK7+NAillBHebnATgrU4tUW2uOd5ePyf4rusu
	F/RuwTCfB3AbiGbVir55OMy/Arh5J/NVNw9UqKuGSRZTTN68E+HVVy2ZYvKo/s88HvRXAXkNBFf3
	HoUXIDgrom8XetcG3KLXjQAAAABJRU5ErkJggg==
X-Now-Playing: Minimal Compact's _The Figure One Cuts_: "Inner Station"
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1RFVg2-00009n-A7
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1319395395.04536@hBXOCyCNEZ9XtcxVij7BHg
X-Spam-Status: No
X-Spam-Score: -2.6 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

Richard Stallman <rms@HIDDEN> writes:

> Is there anything wrong with these mime parts?
> Or is it a bug in that version of IceDove?

The message looks valid to me, but some other mail programs have little
support for message/rfc822 parts, so it's often better to forward
messages using a non-MIME method.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#9766: 24.0.50; rmail-forward makes attachment that doesn't read right
Resent-From: Richard Stallman <rms@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 16 Oct 2011 21:42:02 +0000
Resent-Message-ID: <handler.9766.B9766.131880126331621 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 9766
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 9766 <at> debbugs.gnu.org
Reply-To: rms@HIDDEN
Received: via spool by 9766-submit <at> debbugs.gnu.org id=B9766.131880126331621
          (code B ref 9766); Sun, 16 Oct 2011 21:42:02 +0000
Received: (at 9766) by debbugs.gnu.org; 16 Oct 2011 21:41:03 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RFYS7-0008Dy-48
	for submit <at> debbugs.gnu.org; Sun, 16 Oct 2011 17:41:03 -0400
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rms@HIDDEN>) id 1RFYS5-0008Dg-Ka
	for 9766 <at> debbugs.gnu.org; Sun, 16 Oct 2011 17:41:02 -0400
Received: from rms by fencepost.gnu.org with local (Exim 4.71)
	(envelope-from <rms@HIDDEN>)
	id 1RFYRI-0003tp-Uj; Sun, 16 Oct 2011 17:40:13 -0400
Date: Sun, 16 Oct 2011 17:40:12 -0400
Message-Id: <E1RFYRI-0003tp-Uj@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15
From: Richard Stallman <rms@HIDDEN>
In-reply-to: <E1RFQET-0004nL-MK@HIDDEN> (message from Eli Zaretskii
	on Sun, 16 Oct 2011 08:54:25 -0400)
References: <E1RFOkD-00008X-0P@HIDDEN>
	<E1RFQET-0004nL-MK@HIDDEN>
X-Spam-Score: -6.6 (------)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.6 (------)

    It's a missing feature in rmail-forward, see bug #9521 (now merged
    with this one) and a short conversation that started here:

      http://lists.gnu.org/archive/html/bug-gnu-emacs/2011-09/msg00691.html

It is hard for me to read a thread of mail.
Can you show me the text that describes what is missing?
Maybe I can write it.

-- 
Dr Richard Stallman
President, Free Software Foundation
51 Franklin St
Boston MA 02110
USA
www.fsf.org  www.gnu.org
Skype: No way! That's nonfree (freedom-denying) software.
  Use free telephony http://directory.fsf.org/category/tel/




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#9766: 24.0.50; rmail-forward makes attachment that doesn't read right
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 17 Oct 2011 05:07:01 +0000
Resent-Message-ID: <handler.9766.B9766.13188280097310 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 9766
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: rms@HIDDEN
Cc: 9766 <at> debbugs.gnu.org
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 9766-submit <at> debbugs.gnu.org id=B9766.13188280097310
          (code B ref 9766); Mon, 17 Oct 2011 05:07:01 +0000
Received: (at 9766) by debbugs.gnu.org; 17 Oct 2011 05:06:49 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RFfPV-0001tr-63
	for submit <at> debbugs.gnu.org; Mon, 17 Oct 2011 01:06:49 -0400
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <eliz@HIDDEN>) id 1RFfPS-0001tj-Cj
	for 9766 <at> debbugs.gnu.org; Mon, 17 Oct 2011 01:06:47 -0400
Received: from eliz by fencepost.gnu.org with local (Exim 4.71)
	(envelope-from <eliz@HIDDEN>)
	id 1RFfOX-0002RG-Ii; Mon, 17 Oct 2011 01:05:49 -0400
Date: Mon, 17 Oct 2011 01:05:49 -0400
Message-Id: <E1RFfOX-0002RG-Ii@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <E1RFYRI-0003tp-Uj@HIDDEN> (message from Richard
	Stallman on Sun, 16 Oct 2011 17:40:12 -0400)
References: <E1RFOkD-00008X-0P@HIDDEN>
	<E1RFQET-0004nL-MK@HIDDEN>
	<E1RFYRI-0003tp-Uj@HIDDEN>
X-Spam-Score: -6.6 (------)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.6 (------)

> Date: Sun, 16 Oct 2011 17:40:12 -0400
> From: Richard Stallman <rms@HIDDEN>
> CC: 9766 <at> debbugs.gnu.org
> 
>     It's a missing feature in rmail-forward, see bug #9521 (now merged
>     with this one) and a short conversation that started here:
> 
>       http://lists.gnu.org/archive/html/bug-gnu-emacs/2011-09/msg00691.html
> 
> It is hard for me to read a thread of mail.
> Can you show me the text that describes what is missing?
> Maybe I can write it.

Here:

> > From: Kenichi Handa <address@hidden>
> > Cc: address@hidden, address@hidden
> > Date: Fri, 16 Sep 2011 12:41:37 +0900
> > 
> > rmail-forward still has a problem when a message has an
> > attachment file.

> Yes, I know.  But that's a different bug.  It happens because
> rmail-forward simply copies the text from the buffer where the
> forwarded message is displayed, which is not TRT when the message
> has
> attachments, because rmail-mime reformats it for display and adds
> buttons.

Actually that copying is done by
rmail-insert-mime-resent-message
(rmail-insert-mime-resent-message-function is set to it when
rmailmm.el is loaded), and that function was changed by RMS
as this.

2011-06-22  Richard Stallman  <address@hidden>

        * mail/sendmail.el (mail-bury): If Rmail is in use, return
          nicely
        to Rmail even if not started by a special Rmail command.

        * mail/rmailmm.el (rmail-insert-mime-forwarded-message):
        Copy the buffer currently showing just one message.

I don't know what it was going to fix.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#9766: 24.0.50; rmail-forward makes attachment that doesn't read right
Resent-From: Richard Stallman <rms@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 17 Oct 2011 13:16:01 +0000
Resent-Message-ID: <handler.9766.B9766.131885733831500 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 9766
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 9766 <at> debbugs.gnu.org
Reply-To: rms@HIDDEN
Received: via spool by 9766-submit <at> debbugs.gnu.org id=B9766.131885733831500
          (code B ref 9766); Mon, 17 Oct 2011 13:16:01 +0000
Received: (at 9766) by debbugs.gnu.org; 17 Oct 2011 13:15:38 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RFn2Y-0008C1-Fk
	for submit <at> debbugs.gnu.org; Mon, 17 Oct 2011 09:15:38 -0400
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rms@HIDDEN>) id 1RFn2W-0008Bt-6X
	for 9766 <at> debbugs.gnu.org; Mon, 17 Oct 2011 09:15:37 -0400
Received: from rms by fencepost.gnu.org with local (Exim 4.71)
	(envelope-from <rms@HIDDEN>)
	id 1RFn1g-00030A-AA; Mon, 17 Oct 2011 09:14:44 -0400
Date: Mon, 17 Oct 2011 09:14:44 -0400
Message-Id: <E1RFn1g-00030A-AA@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15
From: Richard Stallman <rms@HIDDEN>
In-reply-to: <E1RFfOX-0002RG-Ii@HIDDEN> (message from Eli Zaretskii
	on Mon, 17 Oct 2011 01:05:49 -0400)
References: <E1RFOkD-00008X-0P@HIDDEN>
	<E1RFQET-0004nL-MK@HIDDEN>
	<E1RFYRI-0003tp-Uj@HIDDEN>
	<E1RFfOX-0002RG-Ii@HIDDEN>
X-Spam-Score: -6.6 (------)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.6 (------)

    Actually that copying is done by
    rmail-insert-mime-resent-message
    (rmail-insert-mime-resent-message-function is set to it when
    rmailmm.el is loaded), and that function was changed by RMS
    as this.

My change was to forward the message as displayed, rather than the raw
text of the message.  I think my change eliminated the old bug.

Anyway, there is still a bug.  Some different bug.  Can someone tell
me what is wrong with the output that is generated now?  If I know
what output would be correct, I can fix this bug.

-- 
Dr Richard Stallman
President, Free Software Foundation
51 Franklin St
Boston MA 02110
USA
www.fsf.org  www.gnu.org
Skype: No way! That's nonfree (freedom-denying) software.
  Use free telephony http://directory.fsf.org/category/tel/




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#9766: 24.0.50; rmail-forward makes attachment that doesn't read right
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 17 Oct 2011 14:09:01 +0000
Resent-Message-ID: <handler.9766.B9766.13188605364426 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 9766
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: rms@HIDDEN
Cc: 9766 <at> debbugs.gnu.org
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 9766-submit <at> debbugs.gnu.org id=B9766.13188605364426
          (code B ref 9766); Mon, 17 Oct 2011 14:09:01 +0000
Received: (at 9766) by debbugs.gnu.org; 17 Oct 2011 14:08:56 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RFns8-00019L-5O
	for submit <at> debbugs.gnu.org; Mon, 17 Oct 2011 10:08:56 -0400
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <eliz@HIDDEN>) id 1RFns5-00019C-Ib
	for 9766 <at> debbugs.gnu.org; Mon, 17 Oct 2011 10:08:54 -0400
Received: from eliz by fencepost.gnu.org with local (Exim 4.71)
	(envelope-from <eliz@HIDDEN>)
	id 1RFnr9-0006UU-MT; Mon, 17 Oct 2011 10:07:55 -0400
Date: Mon, 17 Oct 2011 10:07:55 -0400
Message-Id: <E1RFnr9-0006UU-MT@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <E1RFn1g-00030A-AA@HIDDEN> (message from Richard
	Stallman on Mon, 17 Oct 2011 09:14:44 -0400)
References: <E1RFOkD-00008X-0P@HIDDEN>
	<E1RFQET-0004nL-MK@HIDDEN>
	<E1RFYRI-0003tp-Uj@HIDDEN>
	<E1RFfOX-0002RG-Ii@HIDDEN>
	<E1RFn1g-00030A-AA@HIDDEN>
X-Spam-Score: -6.6 (------)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.6 (------)

> Date: Mon, 17 Oct 2011 09:14:44 -0400
> From: Richard Stallman <rms@HIDDEN>
> CC: 9766 <at> debbugs.gnu.org
> 
>     Actually that copying is done by
>     rmail-insert-mime-resent-message
>     (rmail-insert-mime-resent-message-function is set to it when
>     rmailmm.el is loaded), and that function was changed by RMS
>     as this.
> 
> My change was to forward the message as displayed, rather than the raw
> text of the message.

Was it for the MIME version of forwarding or for the inline version?

The problem we have now is only with the MIME version.

> Anyway, there is still a bug.  Some different bug.  Can someone tell
> me what is wrong with the output that is generated now?  If I know
> what output would be correct, I can fix this bug.

I think what needs to be done is to copy into the buffer where mail is
composed the message in the original form, not in the form we put into
the rmail-view-buffer.

For the definitive answer, I suggest to start Emacs with the default
value of mail-user-agent, start Rmail, forward (to yourself) a message
with attachments, and then look at hoe message.el did it.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#9766: 24.0.50; rmail-forward makes attachment that doesn't read right
Resent-From: Richard Stallman <rms@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 17 Oct 2011 21:44:01 +0000
Resent-Message-ID: <handler.9766.B9766.131888780623467 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 9766
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 9766 <at> debbugs.gnu.org
Reply-To: rms@HIDDEN
Received: via spool by 9766-submit <at> debbugs.gnu.org id=B9766.131888780623467
          (code B ref 9766); Mon, 17 Oct 2011 21:44:01 +0000
Received: (at 9766) by debbugs.gnu.org; 17 Oct 2011 21:43:26 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RFuxy-00066S-5V
	for submit <at> debbugs.gnu.org; Mon, 17 Oct 2011 17:43:26 -0400
Received: from fencepost.gnu.org ([140.186.70.10] ident=Debian-exim)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rms@HIDDEN>) id 1RFuxt-00066F-Lz
	for 9766 <at> debbugs.gnu.org; Mon, 17 Oct 2011 17:43:23 -0400
Received: from rms by fencepost.gnu.org with local (Exim 4.71)
	(envelope-from <rms@HIDDEN>)
	id 1RFux1-0000vC-FO; Mon, 17 Oct 2011 17:42:27 -0400
Date: Mon, 17 Oct 2011 17:42:27 -0400
Message-Id: <E1RFux1-0000vC-FO@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15
From: Richard Stallman <rms@HIDDEN>
In-reply-to: <E1RFnr9-0006UU-MT@HIDDEN> (message from Eli Zaretskii
	on Mon, 17 Oct 2011 10:07:55 -0400)
References: <E1RFOkD-00008X-0P@HIDDEN>
	<E1RFQET-0004nL-MK@HIDDEN>
	<E1RFYRI-0003tp-Uj@HIDDEN>
	<E1RFfOX-0002RG-Ii@HIDDEN>
	<E1RFn1g-00030A-AA@HIDDEN>
	<E1RFnr9-0006UU-MT@HIDDEN>
X-Spam-Score: -6.6 (------)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.6 (------)

    > My change was to forward the message as displayed, rather than the raw
    > text of the message.

    Was it for the MIME version of forwarding or for the inline version?

For the MIME version.

    I think what needs to be done is to copy into the buffer where mail is
    composed the message in the original form, not in the form we put into
    the rmail-view-buffer.

No.  That had the bug (the one reported before), and it also is an
ugly pain in the neck.  Anyway, if you want to forward the raw form,
all you have to do is type v.  That works, too.

    For the definitive answer, I suggest to start Emacs with the default
    value of mail-user-agent, start Rmail, forward (to yourself) a message
    with attachments, and then look at hoe message.el did it.

But that is not conclusive.  What we need is a person who knows MIME
well enough to look at the generated text, and tell us if it has an error.


-- 
Dr Richard Stallman
President, Free Software Foundation
51 Franklin St
Boston MA 02110
USA
www.fsf.org  www.gnu.org
Skype: No way! That's nonfree (freedom-denying) software.
  Use free telephony http://directory.fsf.org/category/tel/




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#9766: 24.0.50; rmail-forward makes attachment that doesn't read right
Resent-From: Stefan Monnier <monnier@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 18 Oct 2011 01:03:02 +0000
Resent-Message-ID: <handler.9766.B9766.13188997288463 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 9766
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: rms@HIDDEN
Cc: Eli Zaretskii <eliz@HIDDEN>, 9766 <at> debbugs.gnu.org
Received: via spool by 9766-submit <at> debbugs.gnu.org id=B9766.13188997288463
          (code B ref 9766); Tue, 18 Oct 2011 01:03:02 +0000
Received: (at 9766) by debbugs.gnu.org; 18 Oct 2011 01:02:08 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RFy4F-0002CQ-K8
	for submit <at> debbugs.gnu.org; Mon, 17 Oct 2011 21:02:08 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.181]
	helo=ironport2-out.pppoe.ca)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <monnier@HIDDEN>)
	id 1RFy43-0002Bk-Mg; Mon, 17 Oct 2011 21:02:05 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AnEHAP/OnE5MCqLO/2dsb2JhbABDmXWOYoEGgW4BAQQBViMFCws0EhQYDYg2twmICAShKYRF
X-IronPort-AV: E=Sophos;i="4.69,362,1315195200"; d="scan'208";a="142554115"
Received: from 76-10-162-206.dsl.teksavvy.com (HELO pastel.home)
	([76.10.162.206])
	by ironport2-out.pppoe.ca with ESMTP/TLS/ADH-AES256-SHA;
	17 Oct 2011 21:00:55 -0400
Received: by pastel.home (Postfix, from userid 20848)
	id 93D285920F; Mon, 17 Oct 2011 21:00:55 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
Message-ID: <jwvy5wjkttr.fsf-monnier+emacs@HIDDEN>
References: <E1RFOkD-00008X-0P@HIDDEN>
	<E1RFQET-0004nL-MK@HIDDEN>
	<E1RFYRI-0003tp-Uj@HIDDEN>
	<E1RFfOX-0002RG-Ii@HIDDEN>
	<E1RFn1g-00030A-AA@HIDDEN>
	<E1RFnr9-0006UU-MT@HIDDEN>
	<E1RFux1-0000vC-FO@HIDDEN>
Date: Mon, 17 Oct 2011 21:00:55 -0400
In-Reply-To: <E1RFux1-0000vC-FO@HIDDEN> (Richard Stallman's message
	of "Mon, 17 Oct 2011 17:42:27 -0400")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.6 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

> For the MIME version.
>     I think what needs to be done is to copy into the buffer where mail is
>     composed the message in the original form, not in the form we put into
>     the rmail-view-buffer.
> No.  That had the bug (the one reported before),

I'm not sure which bug this refers to.  But a MIME forward should
contain an "original form" email message.  You can strip some of the
headers if you want, but it should contain non-decoded content.

> and it also is an ugly pain in the neck.

Do you say that because it makes the underlying encoded message visible?
If so, it's a presentation problem: the content of the sent message
should be "ugly" but there's no reason it should ever be displayed in
this ugly form.

> Anyway, if you want to forward the raw form, all you have to do is
> type v.  That works, too.

Not using Rmail myself, I don't know what `v' runs.

>     For the definitive answer, I suggest to start Emacs with the default
>     value of mail-user-agent, start Rmail, forward (to yourself) a message
>     with attachments, and then look at hoe message.el did it.
> But that is not conclusive.  What we need is a person who knows MIME
> well enough to look at the generated text, and tell us if it has an error.

I haven't touched MIME in a while, but back when I was hacking on the
PGP support for ExMH, I was reasonably up-to-date in MIME.  To me the
message you showed looked OK except for the "--text follows this line--"
which should be an empty line, but I think this is just the "in buffer"
text and that line is turned into an empty line when you send the
message.  Other than that it also seems to lack another part: it has
a first part of type message/rfc822 and a second one of type text/plain,
but you'll usually want to add a first part of type text/plain where you
can put some text of your own making.


        Stefan


PS: Reminds me that I think this "--text follows this line--" should be
changed: instead of actual real text in the buffer, it should be an
overlay's after-string covering the empty line.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#9766: 24.0.50; rmail-forward makes attachment that doesn't read right
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 18 Oct 2011 03:49:01 +0000
Resent-Message-ID: <handler.9766.B9766.131890971328347 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 9766
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: rms@HIDDEN
Cc: 9766 <at> debbugs.gnu.org
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 9766-submit <at> debbugs.gnu.org id=B9766.131890971328347
          (code B ref 9766); Tue, 18 Oct 2011 03:49:01 +0000
Received: (at 9766) by debbugs.gnu.org; 18 Oct 2011 03:48:33 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RG0fJ-0007NA-Ce
	for submit <at> debbugs.gnu.org; Mon, 17 Oct 2011 23:48:33 -0400
Received: from mtaout22.012.net.il ([80.179.55.172])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <eliz@HIDDEN>) id 1RG0fH-0007Mx-Jb
	for 9766 <at> debbugs.gnu.org; Mon, 17 Oct 2011 23:48:31 -0400
Received: from conversion-daemon.a-mtaout22.012.net.il by
	a-mtaout22.012.net.il (HyperSendmail v2007.08) id
	<0LT800500T2YUJ00@HIDDEN> for
	9766 <at> debbugs.gnu.org; Tue, 18 Oct 2011 05:47:31 +0200 (IST)
Received: from HOME-C4E4A596F7 ([77.124.212.197]) by a-mtaout22.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0LT80054ET76DVC0@HIDDEN>;
	Tue, 18 Oct 2011 05:47:31 +0200 (IST)
Date: Tue, 18 Oct 2011 05:47:31 +0200
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <E1RFux1-0000vC-FO@HIDDEN>
X-012-Sender: halo1@HIDDEN
Message-id: <83vcrnufjg.fsf@HIDDEN>
References: <E1RFOkD-00008X-0P@HIDDEN>
	<E1RFQET-0004nL-MK@HIDDEN>
	<E1RFYRI-0003tp-Uj@HIDDEN>
	<E1RFfOX-0002RG-Ii@HIDDEN>
	<E1RFn1g-00030A-AA@HIDDEN>
	<E1RFnr9-0006UU-MT@HIDDEN>
	<E1RFux1-0000vC-FO@HIDDEN>
X-Spam-Score: -2.1 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.1 (--)

> Date: Mon, 17 Oct 2011 17:42:27 -0400
> From: Richard Stallman <rms@HIDDEN>
> CC: 9766 <at> debbugs.gnu.org
> 
>     For the definitive answer, I suggest to start Emacs with the default
>     value of mail-user-agent, start Rmail, forward (to yourself) a message
>     with attachments, and then look at hoe message.el did it.
> 
> But that is not conclusive.

Why not?  Last time I tried it, the result was correctly displayed by
Rmail.

> What we need is a person who knows MIME
> well enough to look at the generated text, and tell us if it has an error.

We have Lars and we have Rainer.  I wouldn't worry about that.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#9766: 24.0.50; rmail-forward makes attachment that doesn't read right
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 18 Oct 2011 03:55:01 +0000
Resent-Message-ID: <handler.9766.B9766.131891007528867 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 9766
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: rms@HIDDEN
Cc: 9766 <at> debbugs.gnu.org
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 9766-submit <at> debbugs.gnu.org id=B9766.131891007528867
          (code B ref 9766); Tue, 18 Oct 2011 03:55:01 +0000
Received: (at 9766) by debbugs.gnu.org; 18 Oct 2011 03:54:35 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RG0l9-0007VY-6i
	for submit <at> debbugs.gnu.org; Mon, 17 Oct 2011 23:54:35 -0400
Received: from mtaout21.012.net.il ([80.179.55.169])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <eliz@HIDDEN>) id 1RG0l6-0007VH-K6
	for 9766 <at> debbugs.gnu.org; Mon, 17 Oct 2011 23:54:33 -0400
Received: from conversion-daemon.a-mtaout21.012.net.il by
	a-mtaout21.012.net.il (HyperSendmail v2007.08) id
	<0LT800900SR44U00@HIDDEN> for
	9766 <at> debbugs.gnu.org; Tue, 18 Oct 2011 05:53:32 +0200 (IST)
Received: from HOME-C4E4A596F7 ([77.124.212.197]) by a-mtaout21.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0LT8009HOTH72K30@HIDDEN>;
	Tue, 18 Oct 2011 05:53:32 +0200 (IST)
Date: Tue, 18 Oct 2011 05:53:32 +0200
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <E1RFux1-0000vC-FO@HIDDEN>
X-012-Sender: halo1@HIDDEN
Message-id: <83ty77uf9f.fsf@HIDDEN>
References: <E1RFOkD-00008X-0P@HIDDEN>
	<E1RFQET-0004nL-MK@HIDDEN>
	<E1RFYRI-0003tp-Uj@HIDDEN>
	<E1RFfOX-0002RG-Ii@HIDDEN>
	<E1RFn1g-00030A-AA@HIDDEN>
	<E1RFnr9-0006UU-MT@HIDDEN>
	<E1RFux1-0000vC-FO@HIDDEN>
X-Spam-Score: -2.1 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.1 (--)

> Date: Mon, 17 Oct 2011 17:42:27 -0400
> From: Richard Stallman <rms@HIDDEN>
> CC: 9766 <at> debbugs.gnu.org
> 
> Anyway, if you want to forward the raw form, all you have to do is
> type v.

I thought so, but last time I tried, it didn't work well (the result
was unreadable in another mailer).  I will try again.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#9766: 24.0.50; rmail-forward makes attachment that doesn't read right
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 18 Oct 2011 03:56:01 +0000
Resent-Message-ID: <handler.9766.B9766.131891013628964 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 9766
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Stefan Monnier <monnier@HIDDEN>
Cc: rms@HIDDEN, 9766 <at> debbugs.gnu.org
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 9766-submit <at> debbugs.gnu.org id=B9766.131891013628964
          (code B ref 9766); Tue, 18 Oct 2011 03:56:01 +0000
Received: (at 9766) by debbugs.gnu.org; 18 Oct 2011 03:55:36 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RG0m8-0007X7-JK
	for submit <at> debbugs.gnu.org; Mon, 17 Oct 2011 23:55:36 -0400
Received: from mtaout22.012.net.il ([80.179.55.172])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <eliz@HIDDEN>) id 1RG0m6-0007Ws-Pj
	for 9766 <at> debbugs.gnu.org; Mon, 17 Oct 2011 23:55:35 -0400
Received: from conversion-daemon.a-mtaout22.012.net.il by
	a-mtaout22.012.net.il (HyperSendmail v2007.08) id
	<0LT800500TDRVH00@HIDDEN> for
	9766 <at> debbugs.gnu.org; Tue, 18 Oct 2011 05:54:34 +0200 (IST)
Received: from HOME-C4E4A596F7 ([77.124.212.197]) by a-mtaout22.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0LT80053STIWSK30@HIDDEN>;
	Tue, 18 Oct 2011 05:54:33 +0200 (IST)
Date: Tue, 18 Oct 2011 05:54:32 +0200
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <jwvy5wjkttr.fsf-monnier+emacs@HIDDEN>
X-012-Sender: halo1@HIDDEN
Message-id: <83sjmruf7r.fsf@HIDDEN>
References: <E1RFOkD-00008X-0P@HIDDEN>
	<E1RFQET-0004nL-MK@HIDDEN>
	<E1RFYRI-0003tp-Uj@HIDDEN>
	<E1RFfOX-0002RG-Ii@HIDDEN>
	<E1RFn1g-00030A-AA@HIDDEN>
	<E1RFnr9-0006UU-MT@HIDDEN>
	<E1RFux1-0000vC-FO@HIDDEN>
	<jwvy5wjkttr.fsf-monnier+emacs@HIDDEN>
X-Spam-Score: -2.1 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.1 (--)

> From: Stefan Monnier <monnier@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>,  9766 <at> debbugs.gnu.org
> Date: Mon, 17 Oct 2011 21:00:55 -0400
> 
> > Anyway, if you want to forward the raw form, all you have to do is
> > type v.  That works, too.
> 
> Not using Rmail myself, I don't know what `v' runs.

`v' shows the raw message as it came in the mbox file.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#9766: 24.0.50; rmail-forward makes attachment that doesn't read right
Resent-From: Lars Magne Ingebrigtsen <larsi@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 18 Oct 2011 10:30:02 +0000
Resent-Message-ID: <handler.9766.B9766.13189337932134 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 9766
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: rms@HIDDEN, 9766 <at> debbugs.gnu.org
Received: via spool by 9766-submit <at> debbugs.gnu.org id=B9766.13189337932134
          (code B ref 9766); Tue, 18 Oct 2011 10:30:02 +0000
Received: (at 9766) by debbugs.gnu.org; 18 Oct 2011 10:29:53 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RG6vd-0000YJ-Ho
	for submit <at> debbugs.gnu.org; Tue, 18 Oct 2011 06:29:51 -0400
Received: from hermes.netfonds.no ([80.91.224.195])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <larsi@HIDDEN>) id 1RG6vY-0000Y7-47
	for 9766 <at> debbugs.gnu.org; Tue, 18 Oct 2011 06:29:48 -0400
Received: from cm-84.215.51.58.getinternet.no ([84.215.51.58]
	helo=stories.gnus.org)
	by hermes.netfonds.no with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
	(Exim 4.72) (envelope-from <larsi@HIDDEN>)
	id 1RG6uR-0006xN-MT; Tue, 18 Oct 2011 12:28:35 +0200
From: Lars Magne Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <83vcrnufjg.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 18 Oct
	2011 05:47:31 +0200")
Date: Tue, 18 Oct 2011 12:28:32 +0200
Message-ID: <m34nz67fvz.fsf@HIDDEN>
References: <E1RFOkD-00008X-0P@HIDDEN>
	<E1RFQET-0004nL-MK@HIDDEN>
	<E1RFYRI-0003tp-Uj@HIDDEN>
	<E1RFfOX-0002RG-Ii@HIDDEN>
	<E1RFn1g-00030A-AA@HIDDEN>
	<E1RFnr9-0006UU-MT@HIDDEN>
	<E1RFux1-0000vC-FO@HIDDEN> <83vcrnufjg.fsf@HIDDEN>
User-Agent: Gnus/5.110018 (No Gnus v0.18) Emacs/24.0.90 (gnu/linux)
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAG1BMVEUAAACowMcnGheLiXgB
	AQEMBghwWkhMNysDAgPeHnT3AAACZUlEQVQ4jW2TTW+jMBCGR5Wb9EospdeKhNJr5F24Wlk2+MiS
	OOHYQAVXQlrYY1VBy8/uGOeDZHckQPjRO69nxgYA8A4xTwxqqMD3CLgGhCtAmcEUmRkUAfFqJNzj
	85RVhYMoto17zMQ5LhLCuZ9ROaE/5cQyt6ODBQABVNCUsVET2sVOKTCXjo+EGsyNTesx2447IJSJ
	EAhokpmWuXe2LmD6zhrICoFrm6Zs1u6OKgV4pPsME6Nav1VW1GRbDYB0DwKzHLHYaps9PS6ruEmY
	TMdpkVpy31MgYNTe0UpuLDkZQy/8hFZlgRaN/HPfB8MdzQrTelqOoh74XTI2o4Ulo8pwmzP4St+4
	z+hjmkXyMftYHj2GGbZ/sKMTJ27M1JQnUHrKfEb3LH7apPHHUtdhJw62lbHtuEyf2jCzQlQQIOXf
	ZRgv7eliRx3mpGZZVSUqyOfUSzbZ0s6xJTpmhoEed29wm4bxxH71K1zETRuJw1DhBzB4sGM7fB3m
	MqpFLVoMCWADLL4qtzQRqJ1wNUzRAn9BsKjcT/R4Ps0ZAeDf58BrWxEcAKJagRhgveBd+c+Y6KxY
	A/wqdF9ynIs6fQL99coDHBT6lKl9XczjGbrzqtaba+CdFKse+IHm+uz9k4p4h8ovgP8COo1uyTkG
	ORYn2g5dmA9e+4r3voLoXV17YHf5XR9w8I5ANVccK7+NAillBHebnATgrU4tUW2uOd5ePyf4rusu
	F/RuwTCfB3AbiGbVir55OMy/Arh5J/NVNw9UqKuGSRZTTN68E+HVVy2ZYvKo/s88HvRXAXkNBFf3
	HoUXIDgrom8XetcG3KLXjQAAAABJRU5ErkJggg==
X-Now-Playing: Minimal Compact's _The Figure One Cuts_: "Night Light"
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1RG6uR-0006xN-MT
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1319538515.90871@nCpQfBM/mNM14KeSRx4BxA
X-Spam-Status: No
X-Spam-Score: -2.6 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

Eli Zaretskii <eliz@HIDDEN> writes:

> We have Lars and we have Rainer.  I wouldn't worry about that.

Actually, I'm not 100% sure that it was valid MIME.

The structure was basically

---------------------
Headers: Bla bla

--delimiter line
..
--end--
---------------------

Reading RFC2046, the CRLF preceding the delimiter line is part of the
delimiter line.  But at the same time, the blank line after the headers
is the thing that delimits the headers from the body, which means that
the same blank line has two different overlapping meanings, which may
make some very strict parsers misbehave.

Adding an additional blank line before the delimiter line should fix
this and make this unambiguously valid MIME.

Unless I'm missing something in RFC2046.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#9766: 24.0.50; rmail-forward makes attachment that doesn't read right
Resent-From: Richard Stallman <rms@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 18 Oct 2011 10:58:01 +0000
Resent-Message-ID: <handler.9766.B9766.13189354714694 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 9766
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 9766 <at> debbugs.gnu.org
Reply-To: rms@HIDDEN
Received: via spool by 9766-submit <at> debbugs.gnu.org id=B9766.13189354714694
          (code B ref 9766); Tue, 18 Oct 2011 10:58:01 +0000
Received: (at 9766) by debbugs.gnu.org; 18 Oct 2011 10:57:51 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RG7Mk-0001De-EU
	for submit <at> debbugs.gnu.org; Tue, 18 Oct 2011 06:57:50 -0400
Received: from fencepost.gnu.org ([140.186.70.10] ident=Debian-exim)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rms@HIDDEN>) id 1RG7Mi-0001DX-KZ
	for 9766 <at> debbugs.gnu.org; Tue, 18 Oct 2011 06:57:49 -0400
Received: from rms by fencepost.gnu.org with local (Exim 4.71)
	(envelope-from <rms@HIDDEN>)
	id 1RG7Lm-00073c-JO; Tue, 18 Oct 2011 06:56:50 -0400
Date: Tue, 18 Oct 2011 06:56:50 -0400
Message-Id: <E1RG7Lm-00073c-JO@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15
From: Richard Stallman <rms@HIDDEN>
In-reply-to: <83vcrnufjg.fsf@HIDDEN> (message from Eli Zaretskii on Tue, 18
	Oct 2011 05:47:31 +0200)
References: <E1RFOkD-00008X-0P@HIDDEN>
	<E1RFQET-0004nL-MK@HIDDEN>
	<E1RFYRI-0003tp-Uj@HIDDEN>
	<E1RFfOX-0002RG-Ii@HIDDEN>
	<E1RFn1g-00030A-AA@HIDDEN>
	<E1RFnr9-0006UU-MT@HIDDEN>
	<E1RFux1-0000vC-FO@HIDDEN> <83vcrnufjg.fsf@HIDDEN>
X-Spam-Score: -6.6 (------)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.6 (------)

    >     For the definitive answer, I suggest to start Emacs with the default
    >     value of mail-user-agent, start Rmail, forward (to yourself) a message
    >     with attachments, and then look at hoe message.el did it.
    > 
    > But that is not conclusive.

    Why not?  Last time I tried it, the result was correctly displayed by
    Rmail.

If the message displays badly in mail reader A, debugging that might
lead to some problem in how the message was written.

But if the message displays with no problem in mail reader A, that
doesn't tell us much about what it is about the message that causes
mail reader B to display it badly.

-- 
Dr Richard Stallman
President, Free Software Foundation
51 Franklin St
Boston MA 02110
USA
www.fsf.org  www.gnu.org
Skype: No way! That's nonfree (freedom-denying) software.
  Use free telephony http://directory.fsf.org/category/tel/




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#9766: 24.0.50; rmail-forward makes attachment that doesn't read right
Resent-From: Stefan Monnier <monnier@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 18 Oct 2011 13:03:01 +0000
Resent-Message-ID: <handler.9766.B9766.131894294818436 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 9766
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: rms@HIDDEN, 9766 <at> debbugs.gnu.org
Received: via spool by 9766-submit <at> debbugs.gnu.org id=B9766.131894294818436
          (code B ref 9766); Tue, 18 Oct 2011 13:03:01 +0000
Received: (at 9766) by debbugs.gnu.org; 18 Oct 2011 13:02:28 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RG9JL-0004nI-NZ
	for submit <at> debbugs.gnu.org; Tue, 18 Oct 2011 09:02:27 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.183]
	helo=ironport2-out.pppoe.ca)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <monnier@HIDDEN>) id 1RG9JI-0004n1-SE
	for 9766 <at> debbugs.gnu.org; Tue, 18 Oct 2011 09:02:26 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Av0EAMB3nU5MCqLO/2dsb2JhbABEqGSBBoFuAQEEAVYjEAs0EhQYDSSIE7ZoiBsEoSqERQ
X-IronPort-AV: E=Sophos;i="4.69,365,1315195200"; d="scan'208";a="142682737"
Received: from 76-10-162-206.dsl.teksavvy.com (HELO ceviche.home)
	([76.10.162.206])
	by ironport2-out.pppoe.ca with ESMTP/TLS/ADH-AES256-SHA;
	18 Oct 2011 09:01:22 -0400
Received: by ceviche.home (Postfix, from userid 20848)
	id 00ACC660B6; Tue, 18 Oct 2011 09:01:21 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
Message-ID: <jwvr52atpx1.fsf-monnier+emacs@HIDDEN>
References: <E1RFOkD-00008X-0P@HIDDEN>
	<E1RFQET-0004nL-MK@HIDDEN>
	<E1RFYRI-0003tp-Uj@HIDDEN>
	<E1RFfOX-0002RG-Ii@HIDDEN>
	<E1RFn1g-00030A-AA@HIDDEN>
	<E1RFnr9-0006UU-MT@HIDDEN>
	<E1RFux1-0000vC-FO@HIDDEN>
	<jwvy5wjkttr.fsf-monnier+emacs@HIDDEN> <83sjmruf7r.fsf@HIDDEN>
Date: Tue, 18 Oct 2011 09:01:21 -0400
In-Reply-To: <83sjmruf7r.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 18 Oct
	2011 05:54:32 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.6 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

>> > Anyway, if you want to forward the raw form, all you have to do is
>> > type v.  That works, too.
>> Not using Rmail myself, I don't know what `v' runs.
> `v' shows the raw message as it came in the mbox file.

So it would be equivalent to "resend" rather than to "forward", right?


        Stefan




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#9766: 24.0.50; rmail-forward makes attachment that doesn't read right
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 18 Oct 2011 13:28:02 +0000
Resent-Message-ID: <handler.9766.B9766.131894444820567 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 9766
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Stefan Monnier <monnier@HIDDEN>
Cc: rms@HIDDEN, 9766 <at> debbugs.gnu.org
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 9766-submit <at> debbugs.gnu.org id=B9766.131894444820567
          (code B ref 9766); Tue, 18 Oct 2011 13:28:02 +0000
Received: (at 9766) by debbugs.gnu.org; 18 Oct 2011 13:27:28 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RG9hX-0005Lf-5g
	for submit <at> debbugs.gnu.org; Tue, 18 Oct 2011 09:27:28 -0400
Received: from fencepost.gnu.org ([140.186.70.10] ident=Debian-exim)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <eliz@HIDDEN>) id 1RG9hS-0005LV-SU
	for 9766 <at> debbugs.gnu.org; Tue, 18 Oct 2011 09:27:24 -0400
Received: from eliz by fencepost.gnu.org with local (Exim 4.71)
	(envelope-from <eliz@HIDDEN>)
	id 1RG9gQ-0006O8-SF; Tue, 18 Oct 2011 09:26:18 -0400
Date: Tue, 18 Oct 2011 09:26:18 -0400
Message-Id: <E1RG9gQ-0006O8-SF@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <jwvr52atpx1.fsf-monnier+emacs@HIDDEN> (message from Stefan
	Monnier on Tue, 18 Oct 2011 09:01:21 -0400)
References: <E1RFOkD-00008X-0P@HIDDEN>
	<E1RFQET-0004nL-MK@HIDDEN>
	<E1RFYRI-0003tp-Uj@HIDDEN>
	<E1RFfOX-0002RG-Ii@HIDDEN>
	<E1RFn1g-00030A-AA@HIDDEN>
	<E1RFnr9-0006UU-MT@HIDDEN>
	<E1RFux1-0000vC-FO@HIDDEN>
	<jwvy5wjkttr.fsf-monnier+emacs@HIDDEN> <83sjmruf7r.fsf@HIDDEN>
	<jwvr52atpx1.fsf-monnier+emacs@HIDDEN>
X-Spam-Score: -6.6 (------)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.6 (------)

> From: Stefan Monnier <monnier@HIDDEN>
> Cc: rms@HIDDEN,  9766 <at> debbugs.gnu.org
> Date: Tue, 18 Oct 2011 09:01:21 -0400
> 
> >> > Anyway, if you want to forward the raw form, all you have to do is
> >> > type v.  That works, too.
> >> Not using Rmail myself, I don't know what `v' runs.
> > `v' shows the raw message as it came in the mbox file.
> 
> So it would be equivalent to "resend" rather than to "forward", right?

No, it's still "forward".  The raw message gets appended to whatever
you type in the mail composition buffer, before sending the result.

The difference is that what gets appended is the original mbox format,
complete with MIME headers and bodies of the attachments to that
original.

By contrast, forwarding without the preceding `v' appends the
formatted message, which includes buttons we create out of the MIME
attachments.  However, these buttons are copied as plain text, which
of course is useless to the addressee of the forwarded mail.

I think the result after `v' was also incorrect, perhaps because the
way sendmail.el calls mml-to-mime is not entirely correct when the
body already includes attachments.  I will have a second look when I
have time (unless Richard beats me to it).




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#9766: PATCH for bug #9521, *not* bug #9766
References: <E1RFOkD-00008X-0P@HIDDEN>
Resent-From: Mark Lillibridge <mdl@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 28 Dec 2012 20:48:02 +0000
Resent-Message-ID: <handler.9766.B9766.135672765915149 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 9766
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 9521 <at> debbugs.gnu.org, 9766 <at> debbugs.gnu.org
Reply-To: mdl@HIDDEN
Received: via spool by 9766-submit <at> debbugs.gnu.org id=B9766.135672765915149
          (code B ref 9766); Fri, 28 Dec 2012 20:48:02 +0000
Received: (at 9766) by debbugs.gnu.org; 28 Dec 2012 20:47:39 +0000
Received: from localhost ([127.0.0.1]:35202 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TogqA-0003wD-9i
	for submit <at> debbugs.gnu.org; Fri, 28 Dec 2012 15:47:38 -0500
Received: from alum-mailsec-scanner-6.mit.edu ([18.7.68.18]:53323)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <prvs=97096b6f83=mdl@HIDDEN>)
	id 1Togq7-0003w0-77; Fri, 28 Dec 2012 15:47:36 -0500
X-AuditID: 12074412-b7f216d0000008e3-78-50de05304b02
Received: from outgoing-alum.mit.edu (OUTGOING-ALUM.MIT.EDU [18.7.68.33])
	by alum-mailsec-scanner-6.mit.edu (Symantec Messaging Gateway) with
	SMTP id 56.C7.02275.0350ED05; Fri, 28 Dec 2012 15:46:40 -0500 (EST)
Received: from foil.strangled.net (c-67-188-235-212.hsd1.ca.comcast.net
	[67.188.235.212]) (authenticated bits=0)
	(User authenticated as mdl@HIDDEN)
	by outgoing-alum.mit.edu (8.13.8/8.12.4) with ESMTP id qBSKkbBa005834
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES128-SHA bits=128 verify=NOT);
	Fri, 28 Dec 2012 15:46:39 -0500
From: Mark Lillibridge <mdl@HIDDEN>
In-Reply-To: <871uea9dzk.fsf@HIDDEN> (message from Mark
	Lillibridge on Fri, 28 Dec 2012 11:24:31 -0800)
Date: Fri, 28 Dec 2012 12:46:33 -0800
Message-ID: <87vcbl9a6u.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Brightmail-Tracker: H4sIAAAAAAAAA+NgFprOKsWRmVeSWpSXmKPExsUixO6iqGvAei/A4O4nDouJe3ezWixp28du
	MfXjGTYHZo+/7z8weVyctI85gCmK2yYpsaQsODM9T98ugTtj0yyDgpPqFTM+tDI1MG6U72Lk
	5JAQMJGYffsfM4QtJnHh3nq2LkYuDiGBy4wSJ05/ZYFwrjJJNJ2eDFbFJqApMf3Zd3YQW0RA
	T+LTrAdgtrCArsT7aXMYQWxOgWKJlyc/sYHYQgJSEksXnQCrYRFQlZjds4K1i5GDg1dAX+L6
	D7AjeAUEJU7OfMICYjMDhWdP72adwMg7C0lqFpIUhC0ucX3Vf+ZZQJOYBaQllv/jgAhrSyxb
	+Jp5ASPrKka5xJzSXN3cxMyc4tRk3eLkxLy81CJdM73czBK91JTSTYyQwBTawbj+pNwhRgEO
	RiUe3lO37wYIsSaWFVfmHmKU5GBSEuU9zngvQIgvKT+lMiOxOCO+qDQntfgQowQHs5IIr9Q/
	oHLelMTKqtSifJiUNAeLkjjvz8XqfkIC6YklqdmpqQWpRTBZGQ4OJQleAxagoYJFqempFWmZ
	OSUIaSYOTpDhXFIixal5KalFiaUlGfGgaIwvBsYjSIoHaG84SDtvcUFiLlAUovUUoyXHlhc3
	njJy/PgDIn+tvPmUUYglLz8vVUqcVxmkQQCkIaM0D24dLD29YhQH+l6Y1xWkigeY2uCmvgJa
	yAS00JrnDsjCkkSElFQDY//+jU9D/n5r2mzJU5i65kRu7xanmVvbSh09dVx7J/pwafRb5E2s
	iQn7l8zq+upGePXHvl/17tn71tvvaWo8OMt1mVBB9nHn1aZ8e4S8L+R2x6/zzm9fceT0Hfe1
	qwt/ls3bt+7Ktz+fcsULG/hlHynb7vgqF1PV7HOpbfFJZ56Ib5udEhuElViKMxINtZiLihMB
	VDyS8SoDAAA=
X-Spam-Score: 1.4 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
	has
	identified this incoming email as possible spam. The original message
	has been attached to this so you can view it (if it isn't spam) or
	label similar future email.  If you have any questions, see
	the administrator of that system for details.
	Content preview: This bug (#9521) was easy to fix. The problem was with
	the
	rmail-insert-mime-forwarded-message function in rmailmm.el:1355: (defun
	rmail-insert-mime-forwarded-message
	(forward-buffer) "Insert the message in FORWARD-BUFFER as a forwarded
	message. This is the usual value of
	`rmail-insert-mime-forwarded-message-function'."
	(let ((message-buffer (with-current-buffer forward-buffer (if
	rmail-buffer-swapped
	forward-buffer rmail-view-buffer)))) (save-restriction
	(narrow-to-region
	(point) (point)) (message-forward-make-body-mime message-buffer))))
	[...] Content analysis details:   (1.4 points, 10.0 required)
	pts rule name              description
	---- ----------------------
	--------------------------------------------------
	-2.3 RCVD_IN_DNSWL_MED RBL: Sender listed at http://www.dnswl.org/,
	medium trust [18.7.68.18 listed in list.dnswl.org]
	-0.0 T_RP_MATCHES_RCVD Envelope sender domain matches handover relay
	domain
	-0.0 SPF_PASS               SPF: sender matches SPF record
	2.1 HTML_IMAGE_ONLY_12 BODY: HTML: images with 800-1200 bytes of words
	0.0 T_TVD_MIME_NO_HEADERS  BODY: T_TVD_MIME_NO_HEADERS
	0.0 HTML_MESSAGE           BODY: HTML included in message
	0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
	[score: 0.5000]
	0.8 HTML_TAG_BALANCE_HEAD  BODY: HTML has unbalanced "head" tags
	0.0 T_REMOTE_IMAGE         Message contains an external image
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 1.4 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  This bug (#9521) was easy to fix. The problem was with the
    rmail-insert-mime-forwarded-message function in rmailmm.el:1355: (defun rmail-insert-mime-forwarded-message
    (forward-buffer) "Insert the message in FORWARD-BUFFER as a forwarded message.
    This is the usual value of `rmail-insert-mime-forwarded-message-function'."
    (let ((message-buffer (with-current-buffer forward-buffer (if rmail-buffer-swapped
    forward-buffer rmail-view-buffer)))) (save-restriction (narrow-to-region
   (point) (point)) (message-forward-make-body-mime message-buffer)))) [...] 
 
 Content analysis details:   (1.4 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at http://www.dnswl.org/, medium
                              trust
                             [18.7.68.18 listed in list.dnswl.org]
 -0.0 T_RP_MATCHES_RCVD      Envelope sender domain matches handover relay
                             domain
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.1 HTML_IMAGE_ONLY_12     BODY: HTML: images with 800-1200 bytes of words
  0.0 T_TVD_MIME_NO_HEADERS  BODY: T_TVD_MIME_NO_HEADERS
  0.0 HTML_MESSAGE           BODY: HTML included in message
  0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
                             [score: 0.4274]
  0.8 HTML_TAG_BALANCE_HEAD  BODY: HTML has unbalanced "head" tags

--=-=-=


    This bug (#9521) was easy to fix.  The problem was with the
rmail-insert-mime-forwarded-message function in rmailmm.el:1355:

  (defun rmail-insert-mime-forwarded-message (forward-buffer)
    "Insert the message in FORWARD-BUFFER as a forwarded message.
  This is the usual value of `rmail-insert-mime-forwarded-message-function'."
    (let ((message-buffer
  	 (with-current-buffer forward-buffer
  	   (if rmail-buffer-swapped
  	       forward-buffer
  	     rmail-view-buffer))))
      (save-restriction
        (narrow-to-region (point) (point))
        (message-forward-make-body-mime message-buffer))))


    This does exactly the wrong thing by inserting the decoded version
of the message.  Swapping the two buffers (forward-buffer,
rmail-view-buffer) in the if expression fixes this:

  (defun rmail-insert-mime-forwarded-message (forward-buffer)
    "Insert the message in FORWARD-BUFFER as a forwarded message.
  This is the usual value of `rmail-insert-mime-forwarded-message-function'."
    (let ((message-buffer
  	 (with-current-buffer forward-buffer
  	   (if rmail-buffer-swapped
> 	       rmail-view-buffer
> 	     forward-buffer))))
      (save-restriction
        (narrow-to-region (point) (point))
        (message-forward-make-body-mime message-buffer))))


    Note that this does not fix bug #9766, which was incorrectly merged
with bug #9521.  The problem there (#9766) is that many email clients
including in particular, the iPad email app, do not properly display
RFC822 attachments or do not show it inline.  Fixing that problem
requires substantial work, including on the design front.

    One idea would be to generate the RFC822 attachment as now, which
preserves the full details of the message for competent email clients,
and also generate an abbreviated version in the message body for human
viewers of incompetent email clients.  The simplest approach would be to
just insert the Rmail decoded version:

    ====== forwarded message as seen by sender (full message attached) ====
    From: Kenichi Handa <handa <at> m17n.org>
    To: handa <at> m17n.org
    Subject: test from shatin
    Date: Thu, 15 Sep 2011 14:14:58 +0900
    Message-ID: <87aaa6xu7h.fsf <at> m17n.org>
    Content-Type: multipart/mixed; boundary="=-=-="

    [1:text/plain Hide]
    
    test of attachment
    
    
    [2:application/pdf Show Save:temp.pdf (2kB)]

Here, the message headers have been filtered by the users usual header
filtering rules and the body is as seen when the forwarding was done.
e.g., whatever message part toggling the user did is still visible.

    Drawbacks: the PDF attachment here is not accessible to the
incompetent email clients, this approach fails miserably for HTML-only
messages (distressingly common these days), and there is no way to
forward the HTML part instead of the text part inline (perhaps the HTML
part has the real content).  The first of these could be fixed by
attaching all of the original non-inline attachments to the new message;
this is what email clients like Outlook do when you forword a message.

    For the second and third parts, I have been experimenting with the
following:

    
--=-=-=
Content-Type: text/html
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

    <PRE>
    =3D=3D=3D=3D=3D Forwarded message (HTML part only) follows =3D=3D=3D=3D=
=3D
    Date: Fri, 28 Dec 2012 19:44:57 -0000
    From: "Hilton Hotels & Resorts" <hiltonhotels@HIDDEN>
    To: lillibridge@HIDDEN
    Subject: Pick your paradise: choose from three unforgettable resort exp=
eriences
    Reply-To: "Hilton Hotels & Resorts" <support-b7j7kpqa20rdfhauv5u0bqcx2v=
kpsh@HIDDEN>
    </PRE>
=20=20=20=20
    <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://=
www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns=3D"http://www=
.w3.org/1999/xhtml"><head><meta http-equiv=3D"Content-Type" content=3D"text=
/html; charset=3DUTF-8" />
    <title>Hilton Hotels &amp; Resorts</title><style type=3D"text/css">
    body {
    	-webkit-text-size-adjust: none;
    }
    .ReadMsgBody {
    	width: 100%;
    }
    ...
    <img src=3D"http://h1.hilton.com/a/hBQ3bP4AH$iOmB8v3UjNt2dv0P$/spacer.g=
if">
    </body></html>
=20=20=20=20
=20=20=20=20
--=-=-=


Note the need to use PRE or the equivalent to protect the headers.
Probably additional escaping of the headers are required and likely the
charset needs very careful handling.  Lots of corner cases here,
including what to do with multiple HTML parts.  


    At the moment, I have three versions of forward implemented, one
that sends the entire message as a RFC822 attachment, one that forwards
just the text part, and one that forwards just the HTML part.  The later
two work correctly when the entire message is one part.  I find each
useful in different circumstances so probably we don't want to support
only one of them.

- Mark


--=-=-=--




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#9766: [RESEND] PATCH for bug #9521, *not* bug #9766
References: <E1RFOkD-00008X-0P@HIDDEN>
Resent-From: Mark Lillibridge <mdl@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 28 Dec 2012 20:57:03 +0000
Resent-Message-ID: <handler.9766.B9766.135672819316038 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 9766
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 9521 <at> debbugs.gnu.org, 9766 <at> debbugs.gnu.org
Reply-To: mdl@HIDDEN
Received: via spool by 9766-submit <at> debbugs.gnu.org id=B9766.135672819316038
          (code B ref 9766); Fri, 28 Dec 2012 20:57:03 +0000
Received: (at 9766) by debbugs.gnu.org; 28 Dec 2012 20:56:33 +0000
Received: from localhost ([127.0.0.1]:35242 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Togym-0004AY-QD
	for submit <at> debbugs.gnu.org; Fri, 28 Dec 2012 15:56:33 -0500
Received: from alum-mailsec-scanner-6.mit.edu ([18.7.68.18]:43488)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <prvs=1709b1869b=mdl@HIDDEN>)
	id 1Togyg-0004AI-61; Fri, 28 Dec 2012 15:56:28 -0500
X-AuditID: 12074412-b7f216d0000008e3-42-50de07436eff
Received: from outgoing-alum.mit.edu (OUTGOING-ALUM.MIT.EDU [18.7.68.33])
	by alum-mailsec-scanner-6.mit.edu (Symantec Messaging Gateway) with
	SMTP id 9E.18.02275.3470ED05; Fri, 28 Dec 2012 15:55:31 -0500 (EST)
Received: from foil.strangled.net (c-67-188-235-212.hsd1.ca.comcast.net
	[67.188.235.212]) (authenticated bits=0)
	(User authenticated as mdl@HIDDEN)
	by outgoing-alum.mit.edu (8.13.8/8.12.4) with ESMTP id qBSKtSFo006249
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES128-SHA bits=128 verify=NOT);
	Fri, 28 Dec 2012 15:55:30 -0500
From: Mark Lillibridge <mdl@HIDDEN>
In-Reply-To: <871uea9dzk.fsf@HIDDEN> (message from Mark
	Lillibridge on Fri, 28 Dec 2012 11:24:31 -0800)
Date: Fri, 28 Dec 2012 12:55:25 -0800
Message-ID: <87r4m999s2.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Brightmail-Tracker: H4sIAAAAAAAAA+NgFvrNIsWRmVeSWpSXmKPExsUixO6iqOvMfi/AYOtnLouJe3ezWixp28du
	MfXjGTYHZo+/7z8weVyctI85gCmK2yYpsaQsODM9T98ugTvj8fEdTAWX1CqunzzN0sB4Sq6L
	kZNDQsBEYl/fRGYIW0ziwr31bF2MXBxCApcZJY72tjJBOFeZJN7OvMQCUsUmoCkx/dl3dhBb
	REBP4tOsB2C2sICZxI09rYwgNqdAscTLk5/YQGwhASmJpYtOgNWwCKhKvNn4FGgbBwevgL7E
	uk5dkDCvgKDEyZlPwMYzC2hJ3Pj3kmkCI+8sJKlZSFILGJlWMcol5pTm6uYmZuYUpybrFicn
	5uWlFuma6eVmluilppRuYoQEldAOxvUn5Q4xCnAwKvHwnrp9N0CINbGsuDL3EKMkB5OSKO9x
	xnsBQnxJ+SmVGYnFGfFFpTmpxYcYJTiYlUR4pf4BlfOmJFZWpRblw6SkOViUxHl/Llb3ExJI
	TyxJzU5NLUgtgsnKcHAoSfDmsgANFSxKTU+tSMvMKUFIM3FwggznkhIpTs1LSS1KLC3JiAdF
	UnwxMJZAUjxAe6tB2nmLCxJzgaIQracY7Tm2vLjxlJHjxx8Q+WvlTSB58u2dp4xCLHn5ealS
	4rxNIG0CIG0ZpXlwS2Fp5hWjODAMhHnrQap4gCkKbvYroLVMQGutee6ArC1JREhJNTBG8ExS
	TVpkFhmQOd82d/fiiVKR8c+PtMz7FM7x+fjvrMuc35/ZROi+/7h894KEGZO2m84UnP7X/H+a
	1iJJphcBinJqRvUMp8U33Jlm/vynnUbFHiXlZIUvN+dVNZh5mCpxcuR/9/5rnWW99rBLjVmB
	zz/VL/dtm7M3CqTI9r1dHr7v4p1D6zWVWIozEg21mIuKEwFa4rkMDgMAAA==
X-Spam-Score: -1.5 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.3 (--)


    This bug (#9521) was easy to fix.  The problem was with the
rmail-insert-mime-forwarded-message function in rmailmm.el:1355:

  (defun rmail-insert-mime-forwarded-message (forward-buffer)
    "Insert the message in FORWARD-BUFFER as a forwarded message.
  This is the usual value of `rmail-insert-mime-forwarded-message-function'."
    (let ((message-buffer
  	 (with-current-buffer forward-buffer
  	   (if rmail-buffer-swapped
  	       forward-buffer
  	     rmail-view-buffer))))
      (save-restriction
        (narrow-to-region (point) (point))
        (message-forward-make-body-mime message-buffer))))


    This does exactly the wrong thing by inserting the decoded version
of the message.  Swapping the two buffers (forward-buffer,
rmail-view-buffer) in the if expression fixes this:

  (defun rmail-insert-mime-forwarded-message (forward-buffer)
    "Insert the message in FORWARD-BUFFER as a forwarded message.
  This is the usual value of `rmail-insert-mime-forwarded-message-function'."
    (let ((message-buffer
  	 (with-current-buffer forward-buffer
  	   (if rmail-buffer-swapped
> 	       rmail-view-buffer
> 	     forward-buffer))))
      (save-restriction
        (narrow-to-region (point) (point))
        (message-forward-make-body-mime message-buffer))))


    Note that this does not fix bug #9766, which was incorrectly merged
with bug #9521.  The problem there (#9766) is that many email clients
including in particular, the iPad email app, do not properly display
RFC822 attachments or do not show it inline.  Fixing that problem
requires substantial work, including on the design front.

    One idea would be to generate the RFC822 attachment as now, which
preserves the full details of the message for competent email clients,
and also generate an abbreviated version in the message body for human
viewers of incompetent email clients.  The simplest approach would be to
just insert the Rmail decoded version:

    ====== forwarded message as seen by sender (full message attached) ====
    From: Kenichi Handa <handa <at> m17n.org>
    To: handa <at> m17n.org
    Subject: test from shatin
    Date: Thu, 15 Sep 2011 14:14:58 +0900
    Message-ID: <87aaa6xu7h.fsf <at> m17n.org>
    Content-Type: multipart/mixed; boundary="=-=-="

    [1:text/plain Hide]
    
    test of attachment
    
    
    [2:application/pdf Show Save:temp.pdf (2kB)]

Here, the message headers have been filtered by the users usual header
filtering rules and the body is as seen when the forwarding was done.
e.g., whatever message part toggling the user did is still visible.

    Drawbacks: the PDF attachment here is not accessible to the
incompetent email clients, this approach fails miserably for HTML-only
messages (distressingly common these days), and there is no way to
forward the HTML part instead of the text part inline (perhaps the HTML
part has the real content).  The first of these could be fixed by
attaching all of the original non-inline attachments to the new message;
this is what email clients like Outlook do when you forword a message.

    For the second and third parts, I have been experimenting with the
following (had to add " " after <'s to make < #parts escaped):

    < #part type=text/html disposition=inline raw=t>
    <PRE>
    ===== Forwarded message (HTML part only) follows =====
    Date: Fri, 28 Dec 2012 19:44:57 -0000
    From: "Hilton Hotels & Resorts" <hiltonhotels@HIDDEN>
    To: lillibridge@HIDDEN
    Subject: Pick your paradise: choose from three unforgettable resort experiences
    Reply-To: "Hilton Hotels & Resorts" <support-b7j7kpqa20rdfhauv5u0bqcx2vkpsh@HIDDEN>
    </PRE>
    
    <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <title>Hilton Hotels &amp; Resorts</title><style type="text/css">
    body {
    	-webkit-text-size-adjust: none;
    }
    .ReadMsgBody {
    	width: 100%;
    }
    ...
    <img src="http://h1.hilton.com/a/hBQ3bP4AH$iOmB8v3UjNt2dv0P$/spacer.gif">
    </body></html>
    
    < #/part>

Note the need to use PRE or the equivalent to protect the headers.
Probably additional escaping of the headers are required and likely the
charset needs very careful handling.  Lots of corner cases here,
including what to do with multiple HTML parts.  


    At the moment, I have three versions of forward implemented, one
that sends the entire message as a RFC822 attachment, one that forwards
just the text part, and one that forwards just the HTML part.  The later
two work correctly when the entire message is one part.  I find each
useful in different circumstances so probably we don't want to support
only one of them.

- Mark





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#9766: workaround for 9766
References: <E1RFOkD-00008X-0P@HIDDEN>
Resent-From: Mark Lillibridge <mdl@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 28 Dec 2012 21:24:02 +0000
Resent-Message-ID: <handler.9766.B9766.135672981118703 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 9766
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 9521 <at> debbugs.gnu.org, 9766 <at> debbugs.gnu.org
Reply-To: mdl@HIDDEN
Received: via spool by 9766-submit <at> debbugs.gnu.org id=B9766.135672981118703
          (code B ref 9766); Fri, 28 Dec 2012 21:24:02 +0000
Received: (at 9766) by debbugs.gnu.org; 28 Dec 2012 21:23:31 +0000
Received: from localhost ([127.0.0.1]:35256 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TohOs-0004rc-N1
	for submit <at> debbugs.gnu.org; Fri, 28 Dec 2012 16:23:31 -0500
Received: from alum-mailsec-scanner-2.mit.edu ([18.7.68.13]:50213)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <prvs=57097de2e3=mdl@HIDDEN>)
	id 1TohOr-0004rQ-7w; Fri, 28 Dec 2012 16:23:29 -0500
X-AuditID: 1207440d-b7f306d0000008b7-63-50de0d9a5f56
Received: from outgoing-alum.mit.edu (OUTGOING-ALUM.MIT.EDU [18.7.68.33])
	by alum-mailsec-scanner-2.mit.edu (Symantec Messaging Gateway) with
	SMTP id C2.80.02231.A9D0ED05; Fri, 28 Dec 2012 16:22:34 -0500 (EST)
Received: from foil.strangled.net (c-67-188-235-212.hsd1.ca.comcast.net
	[67.188.235.212]) (authenticated bits=0)
	(User authenticated as mdl@HIDDEN)
	by outgoing-alum.mit.edu (8.13.8/8.12.4) with ESMTP id qBSLMV4x007532
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES128-SHA bits=128 verify=NOT);
	Fri, 28 Dec 2012 16:22:33 -0500
From: Mark Lillibridge <mdl@HIDDEN>
In-Reply-To: <87r4m999s2.fsf@HIDDEN> (message from Mark
	Lillibridge on Fri, 28 Dec 2012 12:55:25 -0800)
Date: Fri, 28 Dec 2012 13:22:28 -0800
Message-ID: <87obhd98iz.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Brightmail-Tracker: H4sIAAAAAAAAA+NgFnrJIsWRmVeSWpSXmKPExsUixO6iqDuL916AwfpjbBYT9+5mtVjSto/d
	YurHM2wOzB5/339g8rg4aR9zAFMUt01SYklZcGZ6nr5dAnfGnrWn2AouMlXsmdzM1MDYz9TF
	yMkhIWAicafjAjOELSZx4d56ti5GLg4hgcuMEk2rVkI5V5kk9s6cCFbFJqApMf3Zd3YQW0RA
	T+LTrAdgtrCAjMTqv/vApnIKFEscvvodzBYSkJJYuugEUA0HB4uAqsTdN8IgYV4BfYnG/w/Z
	IWxBiZMzn7CA2MwCWhI3/r1kmsDIOwtJahaS1AJGplWMcok5pbm6uYmZOcWpybrFyYl5ealF
	ukZ6uZkleqkppZsYIUHFu4Px/zqZQ4wCHIxKPLynbt8NEGJNLCuuzD3EKMnBpCTKq8V9L0CI
	Lyk/pTIjsTgjvqg0J7X4EKMEB7OSCK/UP6By3pTEyqrUonyYlDQHi5I4r9oSdT8hgfTEktTs
	1NSC1CKYrAwHh5IE7yoeoKGCRanpqRVpmTklCGkmDk6Q4VxSIsWpeSmpRYmlJRnxoEiKLwbG
	EkiKB2jvR5B23uKCxFygKETrKUZdjl8rbz5lFGLJy89LlRLnbQcpEgApyijNg1sBSyGvGMWB
	Phbm/QpSxQNMP3CTXgEtYQJaYs1zB2RJSSJCSqqBMcm/Y50N64uMXcvTrzMcOe/7d37CyWsu
	NyPasnkDinnFqvP2hIvx8XU6C9ccWcd1ofJsw4zEx4XHPBUN161wq90Z+76wls9rjmv+s90M
	XumS2rnri06d/7bIRznoRN/RJ6tfhpnLMZWLXY2JzfAQvlD+YXubfrXu4iMZM/6krt2kKnyH
	446XEktxRqKhFnNRcSIAsuko0fwCAAA=
X-Spam-Score: -1.5 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.2 (----)


    It appears that resend (C-u f) does not have any of the problems
that forward does -- correctly resends the message in essentially its
current form so incompetent mail clients display it correctly -- so I
recommend using it plus a separate message telling the recipient that
you are resending the message and why for now.

- Mark




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 29 Dec 2012 08:44:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 29 03:44:22 2012
Received: from localhost ([127.0.0.1]:35577 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Tos1m-0005dL-Oy
	for submit <at> debbugs.gnu.org; Sat, 29 Dec 2012 03:44:22 -0500
Received: from mtaout23.012.net.il ([80.179.55.175]:44550)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1Tos1k-0005dC-KW
	for control <at> debbugs.gnu.org; Sat, 29 Dec 2012 03:44:21 -0500
Received: from conversion-daemon.a-mtaout23.012.net.il by
	a-mtaout23.012.net.il (HyperSendmail v2007.08) id
	<0MFS00300AOW4000@HIDDEN> for
	control <at> debbugs.gnu.org; Sat, 29 Dec 2012 10:43:22 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout23.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0MFS0034NAW64210@HIDDEN> for
	control <at> debbugs.gnu.org; Sat, 29 Dec 2012 10:43:18 +0200 (IST)
Date: Sat, 29 Dec 2012 10:43:27 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: unmerge 9521 9766
X-012-Sender: halo1@HIDDEN
To: control <at> debbugs.gnu.org
Message-id: <83mwwxl040.fsf@HIDDEN>
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
	has
	identified this incoming email as possible spam. The original message
	has been attached to this so you can view it (if it isn't spam) or
	label similar future email.  If you have any questions, see
	the administrator of that system for details.
	Content preview:  unmerge 9766 stop [...] 
	Content analysis details:   (1.5 points, 10.0 required)
	pts rule name              description
	---- ----------------------
	--------------------------------------------------
	-0.0 RCVD_IN_DNSWL_NONE RBL: Sender listed at http://www.dnswl.org/,
	no trust [80.179.55.175 listed in list.dnswl.org]
	0.7 SPF_SOFTFAIL SPF: sender does not match SPF record (softfail)
	0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
	[score: 0.5000]
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  unmerge 9766 stop [...] 
 
 Content analysis details:   (1.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
                             trust
                             [80.179.55.175 listed in list.dnswl.org]
  0.7 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
  0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
                             [score: 0.4733]

unmerge 9766
stop




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#9766: bug#9521: [RESEND] PATCH for bug #9521, *not* bug #9766
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sat, 29 Dec 2012 08:54:01 +0000
Resent-Message-ID: <handler.9766.B9766.135677123622532 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 9766
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: mdl@HIDDEN
Cc: 9521-done <at> debbugs.gnu.org, 9766 <at> debbugs.gnu.org
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 9766-submit <at> debbugs.gnu.org id=B9766.135677123622532
          (code B ref 9766); Sat, 29 Dec 2012 08:54:01 +0000
Received: (at 9766) by debbugs.gnu.org; 29 Dec 2012 08:53:56 +0000
Received: from localhost ([127.0.0.1]:35583 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TosB1-0005rI-9k
	for submit <at> debbugs.gnu.org; Sat, 29 Dec 2012 03:53:56 -0500
Received: from mtaout20.012.net.il ([80.179.55.166]:63581)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>)
	id 1TosAy-0005qz-2f; Sat, 29 Dec 2012 03:53:53 -0500
Received: from conversion-daemon.a-mtaout20.012.net.il by
	a-mtaout20.012.net.il (HyperSendmail v2007.08) id
	<0MFS00J00B8PDV00@HIDDEN>;
	Sat, 29 Dec 2012 10:52:53 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout20.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0MFS00JDGBC37U40@HIDDEN>;
	Sat, 29 Dec 2012 10:52:52 +0200 (IST)
Date: Sat, 29 Dec 2012 10:53:00 +0200
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <87r4m999s2.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
Message-id: <83lichkzo3.fsf@HIDDEN>
References: <tl7ty8dorgv.fsf@HIDDEN> <87r4m999s2.fsf@HIDDEN>
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
	has
	identified this incoming email as possible spam. The original message
	has been attached to this so you can view it (if it isn't spam) or
	label similar future email.  If you have any questions, see
	the administrator of that system for details.
	Content preview: > From: Mark Lillibridge <mdl@HIDDEN> > Date:
	Fri, 28
	Dec 2012 12:55:25 -0800 > > > This bug (#9521) was easy to fix. The
	problem
	was with the > rmail-insert-mime-forwarded-message function in
	rmailmm.el:1355:
	> > (defun rmail-insert-mime-forwarded-message (forward-buffer) >
	"Insert
	the message in FORWARD-BUFFER as a forwarded message. > This is the
	usual
	value of `rmail-insert-mime-forwarded-message-function'." > (let
	((message-buffer
	> (with-current-buffer forward-buffer > (if rmail-buffer-swapped >
	forward-buffer
	> rmail-view-buffer)))) > (save-restriction > (narrow-to-region (point)
	(point))
	> (message-forward-make-body-mime message-buffer)))) > > > This does
	exactly
	the wrong thing by inserting the decoded version > of the message.
	Swapping the two buffers (forward-buffer,
	> rmail-view-buffer) in the if expression
	fixes this: > > (defun rmail-insert-mime-forwarded-message
	(forward-buffer)
	> "Insert the message in FORWARD-BUFFER as a forwarded message. > This
	is
	the usual value of `rmail-insert-mime-forwarded-message-function'." >
	(let
	((message-buffer > (with-current-buffer forward-buffer > (if
	rmail-buffer-swapped
	> > rmail-view-buffer > > forward-buffer)))) > (save-restriction >
	(narrow-to-region
	(point) (point)) > (message-forward-make-body-mime message-buffer))))
	[...] Content analysis details:   (1.5 points, 10.0 required)
	pts rule name              description
	---- ----------------------
	--------------------------------------------------
	-0.0 RCVD_IN_DNSWL_NONE RBL: Sender listed at http://www.dnswl.org/,
	no trust [80.179.55.166 listed in list.dnswl.org]
	0.7 SPF_SOFTFAIL SPF: sender does not match SPF record (softfail)
	0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
	[score: 0.4302]
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.2 (/)

> From: Mark Lillibridge <mdl@HIDDEN>
> Date: Fri, 28 Dec 2012 12:55:25 -0800
> 
> 
>     This bug (#9521) was easy to fix.  The problem was with the
> rmail-insert-mime-forwarded-message function in rmailmm.el:1355:
> 
>   (defun rmail-insert-mime-forwarded-message (forward-buffer)
>     "Insert the message in FORWARD-BUFFER as a forwarded message.
>   This is the usual value of `rmail-insert-mime-forwarded-message-function'."
>     (let ((message-buffer
>   	 (with-current-buffer forward-buffer
>   	   (if rmail-buffer-swapped
>   	       forward-buffer
>   	     rmail-view-buffer))))
>       (save-restriction
>         (narrow-to-region (point) (point))
>         (message-forward-make-body-mime message-buffer))))
> 
> 
>     This does exactly the wrong thing by inserting the decoded version
> of the message.  Swapping the two buffers (forward-buffer,
> rmail-view-buffer) in the if expression fixes this:
> 
>   (defun rmail-insert-mime-forwarded-message (forward-buffer)
>     "Insert the message in FORWARD-BUFFER as a forwarded message.
>   This is the usual value of `rmail-insert-mime-forwarded-message-function'."
>     (let ((message-buffer
>   	 (with-current-buffer forward-buffer
>   	   (if rmail-buffer-swapped
> > 	       rmail-view-buffer
> > 	     forward-buffer))))
>       (save-restriction
>         (narrow-to-region (point) (point))
>         (message-forward-make-body-mime message-buffer))))

Thanks, I installed this simple change on the emacs-24 branch.

>     Note that this does not fix bug #9766, which was incorrectly merged
> with bug #9521.  The problem there (#9766) is that many email clients
> including in particular, the iPad email app, do not properly display
> RFC822 attachments or do not show it inline.  Fixing that problem
> requires substantial work, including on the design front.

I think #9766 is about both problems.  But I unmerged it anyway, and
am leaving it open for now.





Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.